package com.xjrsoft.common.enums;


/**
 * 系统固定角色
 */
public enum RoleEnum {
    /**
     * 超级管理员
     */
    ADMIN(1L, "超级管理员"),
    /**
     * 教师
     */
    TEACHER(2L, "教师"),
    /**
     * 学生
     */
    STUDENT(3L, "学生"),
    /**
     * 家长
     */
    PARENT(4L, "家长");

    final Long code;
    final String value;

    public Long getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    RoleEnum(final Long code, final String message) {
        this.code = code;
        this.value = message;
    }
}
